/* drptabls.sql  */

/* Created by Laurence D. Finston (LDF) 2006.05.12.  */

/*

$Id: drptabls.sql,v 1.1 2006/10/23 16:03:11 ldf Exp $

* (1) Copyright and License.

This file is part of the IWF Metadata Harvester, a package for metadata harvesting.  
Copyright (C) 2006, 2007 IWF Wissen und Medien gGmbH

The author is Laurence D. Finston.                                                   

The IWF Metadata Harvester is free software; you can redistribute it and/or modify   
it under the terms of the GNU General Public License as published by                 
the Free Software Foundation; either version 2 of the License, or                    
(at your option) any later version.                                                  

The IWF Metadata Harvester is distributed in the hope that it will be useful,        
but WITHOUT ANY WARRANTY; without even the implied warranty of                       
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                             
GNU General Public License for more details.                                         

You should have received a copy of the GNU General Public License                    
along with the IWF Metadata Harvester; if not, write to the Free Software            
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA                   

The IWF Metadata Harvester is available for downloading from the                     
following FTP server:                                                                
ftp://ftp.gwdg.de/pub/gnu2/iwfmdh/

Please send bug reports to lfinsto1@gwdg.de                                         

The author can be contacted at:                                                      

Laurence D. Finston 
Kreuzbergring 41    
D-37075 Goettingen  
Germany             

lfinsto1@gwdg.de 
s246794@stud.uni-goettingen.de                        
*/

/* 
LOG

LDF 2006.10.23.
Renamed this file:
Old name:  `drop_tables.sql'
New name:  `drptabls.sql'

ENDLOG
*/

/* * (1)  */

create proc drop_tables
as
drop table Temp_IDs
drop table Temp_IDs_1

drop table Records_Temp
drop table Titles_Temp
drop table Subjects_Temp
drop table Creators_Temp
drop table Descriptions_Temp
drop table Contributors_Temp
drop table Publishers_Temp
drop table Languages_Temp
drop table Identifiers_Temp
drop table Rights_Temp
drop table Types_Temp

drop table records_contributors
drop table records_creators
drop table records_identifiers
drop table records_languages
drop table records_publishers
drop table records_rights
drop table Records_Subjects
drop table records_types


drop table Contributors
drop table creators
drop table Descriptions
drop table Identifiers
drop table Languages
drop table Publishers
drop table Rights
drop table Subjects
drop table Titles
drop table Types
drop table Companies
drop table Persons
drop table Records
drop table Institutions

drop table Sources
go

-- select * from dtproperties