/* listrecs.sql  */
/* Created by Laurence D. Finston (LDF) 2006.06.27.  */  

/*

$Id: listrecs.sql,v 1.1 2006/10/23 16:05:16 ldf Exp $

* (1) Copyright and License.

This file is part of the IWF Metadata Harvester, a package for metadata harvesting.  
Copyright (C) 2006, 2007 IWF Wissen und Medien gGmbH

The author is Laurence D. Finston.                                                   

The IWF Metadata Harvester is free software; you can redistribute it and/or modify   
it under the terms of the GNU General Public License as published by                 
the Free Software Foundation; either version 2 of the License, or                    
(at your option) any later version.                                                  

The IWF Metadata Harvester is distributed in the hope that it will be useful,        
but WITHOUT ANY WARRANTY; without even the implied warranty of                       
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                             
GNU General Public License for more details.                                         

You should have received a copy of the GNU General Public License                    
along with the IWF Metadata Harvester; if not, write to the Free Software            
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA                   

The IWF Metadata Harvester is available for downloading from the                     
following FTP server:                                                                
ftp://ftp.gwdg.de/pub/gnu2/iwfmdh/

Please send bug reports to lfinsto1@gwdg.de                                         

The author can be contacted at:                                                      

Laurence D. Finston 
Kreuzbergring 41    
D-37075 Goettingen  
Germany             

lfinsto1@gwdg.de 
s246794@stud.uni-goettingen.de                        
*/

/* 
LOG

LDF 2006.10.23.
Renamed this file:
Old name:  `list_records.sql'
New name:  `listrecs.sql'

ENDLOG
*/

/* * (1)  */


-- drop procedure list_records


/* 

delete temp_ids
select * from temp_ids

select * from records_temp

select distinct R.record_id, C.creator_id, C.dc_creator  
from creators as C, Records as R, Records_Creators as RC
where 
C.creator_id = RC.creator_id
and
R.record_id = RC.record_id
order by  C.dc_creator, C.creator_id, R.record_id

delete temp_ids
delete temp_ids_1

insert temp_ids
select R.record_id
from creators as C, Records as R, Records_Creators as RC
where 
C.creator_id = RC.creator_id
and
R.record_id = RC.record_id
order by  C.dc_creator, C.creator_id, R.record_id


insert temp_ids_1
select distinct temp_id
from temp_ids

select * from temp_ids
select * from temp_ids_1

drop table temp_ids_1
create table temp_ids_1
(
temp_id int
)

delete records_temp
insert records_temp

insert records_temp
select * from records
order by record_id


*/

--create
alter 
procedure list_records
@sort_field int,
@sort_order int,
@timespan bit
as

declare @SORT_FIELD_RECORD_ID int
declare @SORT_FIELD_CREATOR int
declare @SORT_FIELD_TITLE int
declare @SORT_FIELD_DC_DATE int
declare @SORT_FIELD_HEADER_DATESTAMP int

/* These values must correspond with the values assigned to the corresponding contants
   in `class Selector'.  LDF 2006.06.27.  */

set @SORT_FIELD_RECORD_ID        = 1
set @SORT_FIELD_CREATOR          = 2
set @SORT_FIELD_TITLE            = 3
set @SORT_FIELD_DC_DATE          = 4
set @SORT_FIELD_HEADER_DATESTAMP = 5



if @sort_field < @SORT_FIELD_RECORD_ID OR @sort_field > @SORT_FIELD_HEADER_DATESTAMP
   begin
      select 'ERROR!  Invalid value for @sort_field.'
      select @sort_field  
      select 'Setting @sort_field to @SORT_FIELD_RECORD_ID'
      set @sort_field = @SORT_FIELD_RECORD_ID
      select @sort_field
   end

if @sort_field = @SORT_FIELD_RECORD_ID
   select 'Sorting by record_id.'
else
if @sort_field = @SORT_FIELD_CREATOR
   select 'Sorting by dc_creator.'
else
if @sort_field = @SORT_FIELD_TITLE
   select 'Sorting by dc_title.'
else
if @sort_field = @SORT_FIELD_DC_DATE
   select 'Sorting by dc_date.'
else
if @sort_field = @SORT_FIELD_HEADER_DATESTAMP
   select 'Sorting by header datestamp.'
go

-- 
-- select * from temp_ids

-- 

exec list_records -1, 2, 3

delete temp_ids
insert temp_ids
select distinct record_id from records 
order by record_id desc

delete temp_ids

select * from temp_ids 


select * from records
where dc_date 

/* Local Variables: */
/* abbrev-mode:t */
/* End: */


