/* delete_tables.sql.  */
/* Erstellt von Laurence D. Finston 2006.05.29.  */

/*

$Id: deltabls.sql,v 1.1 2006/10/23 15:59:16 ldf Exp $

* (1) Copyright and License.

This file is part of the IWF Metadata Harvester, a package for metadata harvesting.  
Copyright (C) 2006, 2007 IWF Wissen und Medien gGmbH

The author is Laurence D. Finston.                                                   

The IWF Metadata Harvester is free software; you can redistribute it and/or modify   
it under the terms of the GNU General Public License as published by                 
the Free Software Foundation; either version 2 of the License, or                    
(at your option) any later version.                                                  

The IWF Metadata Harvester is distributed in the hope that it will be useful,        
but WITHOUT ANY WARRANTY; without even the implied warranty of                       
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                             
GNU General Public License for more details.                                         

You should have received a copy of the GNU General Public License                    
along with the IWF Metadata Harvester; if not, write to the Free Software            
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA                   

The IWF Metadata Harvester is available for downloading from the                     
following FTP server:                                                                
ftp://ftp.gwdg.de/pub/gnu2/iwfmdh/

Please send bug reports to lfinsto1@gwdg.de                                         

The author can be contacted at:                                                      

Laurence D. Finston 
Kreuzbergring 41    
D-37075 Goettingen  
Germany             

lfinsto1@gwdg.de 
s246794@stud.uni-goettingen.de                        
*/

/* 
LOG

LDF 2006.10.23.
Renamed this file:
Old name:  `delete_tables.sql'
New name:  `deltabls.sql'

ENDLOG
*/

/* * (1)  */

-- create 
alter proc delete_tables
as
delete  Temp_IDs
delete  Temp_IDs_1
delete  Records_Temp
delete  Titles_Temp
delete  Subjects_Temp
delete  Creators_Temp
delete  Descriptions_Temp
delete  Contributors_Temp
delete  Publishers_Temp
delete  Languages_Temp
delete  Identifiers_Temp
delete  Rights_Temp
delete  Types_Temp

delete  records_contributors
delete  records_creators
delete  records_identifiers
delete  records_languages
delete  records_publishers
delete  records_rights
delete  Records_Subjects
delete  records_types


delete  Contributors
delete  creators
delete  Descriptions
delete  Identifiers
delete  Languages
delete  Publishers
delete  Rights
delete  Subjects
delete  Titles
delete  Types
delete  Companies
delete  Persons
delete  Records
delete  Institutions

set identity_insert Persons on 
insert Persons (person_id, person_name, person_abbrev) values 
(0, 'N/A', 'N/A') 
set identity_insert Persons off 

set identity_insert Companies on 
insert Companies 
(company_id, company_name, company_abbrev) values (0, 'N/A', 'N/A') 
set identity_insert Companies off 

set identity_insert Institutions on 
insert Institutions (institution_id, institution_name, institution_abbrev) 
values (0, 'N/A', 'N/A') 
set identity_insert Institutions off 

set identity_insert Contributors on 
insert Contributors
(contributor_id, dc_contributor, institution_id, person_id) values (0, 'N/A', 0, 0) 
set identity_insert Contributors off 

set identity_insert Creators on 
insert Creators (creator_id, institution_id, person_id) values (0, 0, 0) 
set identity_insert Creators off 

set identity_insert Types on 
insert Types (type_id, dc_type) values (0, 'N/A') 
set identity_insert Types off 
go

-- exec delete_tables
