/* disprecs.sql  */
/* Created by Laurence D. Finston (LDF) Undated.  */

/*

$Id: disprecs.sql,v 1.1 2006/10/23 16:01:28 ldf Exp $

* (1) Copyright and License.

This file is part of the IWF Metadata Harvester, a package for metadata harvesting.  
Copyright (C) 2006, 2007 IWF Wissen und Medien gGmbH

The author is Laurence D. Finston.                                                   

The IWF Metadata Harvester is free software; you can redistribute it and/or modify   
it under the terms of the GNU General Public License as published by                 
the Free Software Foundation; either version 2 of the License, or                    
(at your option) any later version.                                                  

The IWF Metadata Harvester is distributed in the hope that it will be useful,        
but WITHOUT ANY WARRANTY; without even the implied warranty of                       
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                             
GNU General Public License for more details.                                         

You should have received a copy of the GNU General Public License                    
along with the IWF Metadata Harvester; if not, write to the Free Software            
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA                   

The IWF Metadata Harvester is available for downloading from the                     
following FTP server:                                                                
ftp://ftp.gwdg.de/pub/gnu2/iwfmdh/

Please send bug reports to lfinsto1@gwdg.de                                         

The author can be contacted at:                                                      

Laurence D. Finston 
Kreuzbergring 41    
D-37075 Goettingen  
Germany             

lfinsto1@gwdg.de 
s246794@stud.uni-goettingen.de                        
*/

/* 
LOG

LDF 2006.10.23.
Renamed this file:
Old name:  `display_records.sql'
New name:  `disprecs.sql'

ENDLOG
*/

/* * (1)  */

select * from records_temp


/* 




deallocate  record_cursor

select * from records

declare record_cursor cursor for
select record_id from records order by record_id

*/

declare @temp_record_id int
open record_cursor

delete Creators_Temp

fetch next from record_cursor into @temp_record_id
while (@@fetch_status <> -1)
begin
select '@temp_record_id' = @temp_record_id

/* Titles  */

select T.title_id, T.dc_title 
from Titles as T
where
T.record_id = @temp_record_id

/* Creators  */

select C.creator_id, C.dc_creator 
from creators as C, records_creators as RC
where
RC.record_id = @temp_record_id
and
RC.creator_id = C.creator_id

insert Creators_Temp
select C.creator_id, C.dc_creator, C.institution_id, C.person_id
from creators as C, records_creators as RC
where
RC.record_id = @temp_record_id
and
RC.creator_id = C.creator_id

select 'Creators_Temp'
select * from Creators_Temp

/* Subjects  */

/*

select S.subject_id, S.dc_subject
from subjects as S, Records_Subjects as RS
where
RS.record_id = @temp_record_id
and
RS.subject_id = S.subject_id

*/

/* Descriptions  */

/* 
select description_id, record_id, dc_description 
from Descriptions
where
record_id = @temp_record_id
*/

/* Contributors  */

/*

select C.contributor_id, C.dc_contributor 
from Contributors as C, Records_Contributors as RC
where
RC.contributor_id = C.contributor_id
and
RC.record_id = @temp_record_id

*/

/* Publishers  */

/* 
select P.publisher_id, P.dc_publisher 
from Publishers as P, Records_Publishers as RP
where
RP.publisher_id = P.publisher_id
and
RP.record_id = @temp_record_id

*/

/* Languages  */

/* select * from languages where dc_language <> 'ger'
select * from records_languages where language_id = 3 or language_id = 4
*/ 

/*
select L.language_id, L.dc_language 
from Languages as L, Records_Languages as RL
where
RL.language_id = L.language_id
and
RL.record_id = @temp_record_id
*/

/* Identifiers  */

/* select * from identifiers
select * from records_identifiers where identifier_id = 23 or identifier_id = 24
*/

/*

select I.identifier_id, I.dc_identifier 
from Identifiers as I, Records_Identifiers as RI
where
RI.identifier_id = I.identifier_id
and
RI.record_id = @temp_record_id

*/


/* Rights */

/* 
select * from rights
select * from records_identifiers where identifier_id = 23 or identifier_id = 24
*/

/*
select R.rights_id, R.dc_rights 
from rights as R, Records_Rights as RR
where
RR.rights_id = R.rights_id
and
RR.record_id = @temp_record_id

*/

/* Types */

/* 
select * from Types
*/

/*

select T.type_id, T.dc_type 
from Types as T, Records_Types as RT
where
RT.type_id = T.type_id
and
RT.record_id = @temp_record_id

*/

/* Remaining info from `Records'.  */

/* 
select * from records
where 
record_id = @temp_record_id
*/

/* Delete temporary tables.  */

delete Creators_Temp


/* Fetch next record. */


fetch next from record_cursor into @temp_record_id

end
close record_cursor
go





