/* fillcats.sql  */
/* Created by Laurence D. Finston (LDF)  */

/*

$Id: fillcats.sql,v 1.1 2006/10/23 16:04:27 ldf Exp $

* (1) Copyright and License.

This file is part of the IWF Metadata Harvester, a package for metadata harvesting.  
Copyright (C) 2006, 2007 IWF Wissen und Medien gGmbH

The author is Laurence D. Finston.                                                   

The IWF Metadata Harvester is free software; you can redistribute it and/or modify   
it under the terms of the GNU General Public License as published by                 
the Free Software Foundation; either version 2 of the License, or                    
(at your option) any later version.                                                  

The IWF Metadata Harvester is distributed in the hope that it will be useful,        
but WITHOUT ANY WARRANTY; without even the implied warranty of                       
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                             
GNU General Public License for more details.                                         

You should have received a copy of the GNU General Public License                    
along with the IWF Metadata Harvester; if not, write to the Free Software            
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA                   

The IWF Metadata Harvester is available for downloading from the                     
following FTP server:                                                                
ftp://ftp.gwdg.de/pub/gnu2/iwfmdh/

Please send bug reports to lfinsto1@gwdg.de                                         

The author can be contacted at:                                                      

Laurence D. Finston 
Kreuzbergring 41    
D-37075 Goettingen  
Germany             

lfinsto1@gwdg.de 
s246794@stud.uni-goettingen.de                        
*/

/* 
LOG

LDF 2006.10.23.
Renamed this file:
Old name:  `fill_catalogues.sql'
New name:  `fillcats.sql'

ENDLOG
*/

/* * (1)  */

-- exec fill_catalogues

create proc fill_catalogues
as
exec sp_fulltext_database enable

/* Contributors  */

EXEC sp_fulltext_table 'Contributors','activate'

EXEC sp_fulltext_catalog 'Contributors_Catalogue', 'start_full'

/* Creators  */


EXEC sp_fulltext_table 'Creators','activate'

EXEC sp_fulltext_catalog 'Creators_Catalogue', 'start_full'

/* Descriptions.  */


EXEC sp_fulltext_table 'Descriptions','activate'

exec sp_fulltext_catalog 'Descriptions_Catalogue', 'start_full'

/* Identifiers.  */


EXEC sp_fulltext_table 'Identifiers','activate'

exec sp_fulltext_catalog 'Identifiers_Catalogue', 'start_full'

/* Languages.  */


EXEC sp_fulltext_table 'Languages','activate'

exec sp_fulltext_catalog 'Languages_Catalogue', 'start_full'


/* Publishers.  */


EXEC sp_fulltext_table 'Publishers','activate'

exec sp_fulltext_catalog 'Publishers_Catalogue', 'start_full'


/* Rights.  */


EXEC sp_fulltext_table 'Rights','activate'

exec sp_fulltext_catalog 'Rights_Catalogue', 'start_full'

/* Subjects  */


EXEC sp_fulltext_table 'Subjects','activate'

exec sp_fulltext_catalog 'Subjects_Catalogue', 'start_full'

/* Titles  */

exec sp_fulltext_table 'Titles', 'activate'

exec sp_fulltext_catalog 'Titles_Catalogue', 'start_full'


/* Types  */


EXEC sp_fulltext_table 'Types','activate'

exec sp_fulltext_catalog 'Types_Catalogue', 'start_full'
go

-- exec fill_catalogues