/* strtmptb.sql  */
/* Created by Laurence D. Finston (LDF) Undated.  */

/*

$Id: strtmptb.sql,v 1.1 2006/10/23 16:08:05 ldf Exp $

* (1) Copyright and License.

This file is part of the IWF Metadata Harvester, a package for metadata harvesting.  
Copyright (C) 2006, 2007 IWF Wissen und Medien gGmbH

The author is Laurence D. Finston.                                                   

The IWF Metadata Harvester is free software; you can redistribute it and/or modify   
it under the terms of the GNU General Public License as published by                 
the Free Software Foundation; either version 2 of the License, or                    
(at your option) any later version.                                                  

The IWF Metadata Harvester is distributed in the hope that it will be useful,        
but WITHOUT ANY WARRANTY; without even the implied warranty of                       
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                             
GNU General Public License for more details.                                         

You should have received a copy of the GNU General Public License                    
along with the IWF Metadata Harvester; if not, write to the Free Software            
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA                   

The IWF Metadata Harvester is available for downloading from the                     
following FTP server:                                                                
ftp://ftp.gwdg.de/pub/gnu2/iwfmdh/

Please send bug reports to lfinsto1@gwdg.de                                         

The author can be contacted at:                                                      

Laurence D. Finston 
Kreuzbergring 41    
D-37075 Goettingen  
Germany             

lfinsto1@gwdg.de 
s246794@stud.uni-goettingen.de                        
*/

/* 
LOG

LDF 2006.10.23.
Renamed this file:
Old name:  `store_in_temp_tables.sql'
New name:  `strtmptb.sql'

ENDLOG
*/

/* * (1)  */


/* 
select * from records_temp
select * from temp_ids

delete records_temp      
insert records_temp 
select * from records 
where record_id in 
(select temp_id from temp_ids) 
order by record_id
*/


alter proc store_in_temp_tables
@temp_record_id int
as

/* Titles  */

delete Titles_Temp

insert Titles_Temp
select T.title_id, T.record_id, T.dc_title 
from Titles as T
where
T.record_id = @temp_record_id

select * from Titles_Temp

/* Creators  */

delete Creators_Temp

insert Creators_Temp
select C.creator_id, C.dc_creator, C.institution_id, C.person_id
from Creators as C, Records_Creators as RC
where
RC.record_id = @temp_record_id
and
RC.creator_id = C.creator_id

select * from Creators_Temp

/* Subjects  */

delete Subjects_Temp

insert Subjects_Temp
select S.subject_id, S.dc_subject
from subjects as S, Records_Subjects as RS
where
RS.record_id = @temp_record_id
and
RS.subject_id = S.subject_id

select * from Subjects_Temp

/* Descriptions  */

delete Descriptions_Temp
insert Descriptions_Temp
select 
description_id, record_id, dc_description 
from Descriptions
where
record_id = @temp_record_id

select * from Descriptions_Temp


/* Contributors  */

delete Contributors_Temp
insert Contributors_Temp
select C.contributor_id, C.dc_contributor, C.institution_id, C.person_id
from Contributors as C, Records_Contributors as RC
where
RC.contributor_id = C.contributor_id
and
RC.record_id = @temp_record_id

select * from Contributors_Temp


/* Types */

delete Types_Temp
insert Types_Temp
select T.type_id, T.dc_type 
from Types as T, Records_Types as RT
where
RT.type_id = T.type_id
and
RT.record_id = @temp_record_id

select * from Types_Temp


/* Publishers  */

delete Publishers_Temp
insert Publishers_Temp
select P.publisher_id, P.dc_publisher, P.person_id, P.institution_id, P.company_id
from Publishers as P, Records_Publishers as RP
where
RP.publisher_id = P.publisher_id
and
RP.record_id = @temp_record_id

select * from Publishers_Temp 

/* Languages  */

delete Languages_Temp
insert Languages_Temp
select L.language_id, L.dc_language 
from Languages as L, Records_Languages as RL
where
RL.language_id = L.language_id
and
RL.record_id = @temp_record_id

select * from Languages_Temp


/* Identifiers  */

delete Identifiers_Temp
insert Identifiers_Temp
select I.identifier_id, I.dc_identifier 
from Identifiers as I, Records_Identifiers as RI
where
RI.identifier_id = I.identifier_id
and
RI.record_id = @temp_record_id

select * from Identifiers_Temp


/* Rights */

delete Rights_Temp

insert Rights_Temp
select R.rights_id, R.dc_rights 
from rights as R, Records_Rights as RR
where
RR.rights_id = R.rights_id
and
RR.record_id = @temp_record_id

select * from Rights_Temp

/* Remaining info from `Records'.  */

select * from records
where 
record_id = @temp_record_id


go


select * from Records_Languages
where language_id <> 2

exec store_in_temp_tables 41

exec store_in_temp_tables 28

exec store_in_temp_tables 87

exec store_in_temp_tables 35

exec store_in_temp_tables 55

exec store_in_temp_tables 171

select * from titles 
where 
dc_title like '%physik%'
or
(dc_title like '%inder%'
and
dc_title not like '%japaner%')
order by title_id

select * from titles 
where 
dc_title like '%kinder%'
and
dc_title not like '%Kinder%'


select * from titles 
where 
dc_title like '%kinder%'
and 
dc_title not like '%Kinder%'

update titles
set dc_title = 'Kinder-Uni 2006 - Warum essen Japaner mit Stbchen? (Kinder)'
where title_id = 25









